ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Functions
LibItsMapemSpatem__EncdecDeclarations Namespace Reference

## Functions
BITSTRING | fx__enc__MapemReq (const LibItsMapemSpatem__TestSystem::MapemReq &p_sremReq)
INTEGER | fx__dec__MapemReq (BITSTRING &b, LibItsMapemSpatem__TestSystem::MapemReq &p)
INTEGER | fx__dec__MapemInd (BITSTRING &b, LibItsMapemSpatem__TestSystem::MapemInd &p_mapemInd)
BITSTRING | fx__enc__Mapem (const MAPEM__PDU__Descriptions::MAPEM &p_mapem)
INTEGER | fx__dec__Mapem (BITSTRING &b, MAPEM__PDU__Descriptions::MAPEM &p)
BITSTRING | fx__enc__SpatemReq (const LibItsMapemSpatem__TestSystem::SpatemReq &p_spatemReq)
INTEGER | fx__dec__SpatemReq (BITSTRING &b, LibItsMapemSpatem__TestSystem::SpatemReq &p)
INTEGER | fx__dec__SpatemInd (BITSTRING &b, LibItsMapemSpatem__TestSystem::SpatemInd &p_mapemInd)
BITSTRING | fx__enc__Spatem (const SPATEM__PDU__Descriptions::SPATEM &p_spatem)
INTEGER | fx__dec__Spatem (BITSTRING &b, SPATEM__PDU__Descriptions::SPATEM &p_spatem)
BITSTRING | fx__enc__UtMapemSpatemInitialize (const LibItsMapemSpatem__TypesAndValues::UtMapemSpatemInitialize &p_utMapemSpatemInitialize)
BITSTRING | fx__enc__UtMapemSpatemResults (const LibItsMapemSpatem__TypesAndValues::UtMapemSpatemResults &p_utMapemSpatemResults)
INTEGER | fx__dec__UtMapemSpatemResults (BITSTRING &b, LibItsMapemSpatem__TypesAndValues::UtMapemSpatemResults &p)
INTEGER | fx__dec__UtMapemEventInd (BITSTRING &b, LibItsMapemSpatem__TypesAndValues::UtMapemEventInd &p)
INTEGER | fx__dec__UtSpatemEventInd (BITSTRING &b, LibItsMapemSpatem__TypesAndValues::UtSpatemEventInd &p)

## Function Documentation

## ◆ fx__dec__Mapem()

INTEGER LibItsMapemSpatem__EncdecDeclarations::fx__dec__Mapem | ( | BITSTRING & | b,
|  | MAPEM__PDU__Descriptions::MAPEM & | p
| ) |  |

## ◆ fx__dec__MapemInd()

INTEGER LibItsMapemSpatem__EncdecDeclarations::fx__dec__MapemInd | ( | BITSTRING & | b,
|  | LibItsMapemSpatem__TestSystem::MapemInd & | p_mapemInd
| ) |  |

## ◆ fx__dec__MapemReq()

INTEGER LibItsMapemSpatem__EncdecDeclarations::fx__dec__MapemReq | ( | BITSTRING & | b,
|  | LibItsMapemSpatem__TestSystem::MapemReq & | p
| ) |  |

## ◆ fx__dec__Spatem()

INTEGER LibItsMapemSpatem__EncdecDeclarations::fx__dec__Spatem | ( | BITSTRING & | b,
|  | SPATEM__PDU__Descriptions::SPATEM & | p_spatem
| ) |  |

## ◆ fx__dec__SpatemInd()

INTEGER LibItsMapemSpatem__EncdecDeclarations::fx__dec__SpatemInd | ( | BITSTRING & | b,
|  | LibItsMapemSpatem__TestSystem::SpatemInd & | p_mapemInd
| ) |  |

## ◆ fx__dec__SpatemReq()

INTEGER LibItsMapemSpatem__EncdecDeclarations::fx__dec__SpatemReq | ( | BITSTRING & | b,
|  | LibItsMapemSpatem__TestSystem::SpatemReq & | p
| ) |  |

## ◆ fx__dec__UtMapemEventInd()

INTEGER LibItsMapemSpatem__EncdecDeclarations::fx__dec__UtMapemEventInd | ( | BITSTRING & | b,
|  | LibItsMapemSpatem__TypesAndValues::UtMapemEventInd & | p
| ) |  |

## ◆ fx__dec__UtMapemSpatemResults()

INTEGER LibItsMapemSpatem__EncdecDeclarations::fx__dec__UtMapemSpatemResults | ( | BITSTRING & | b,
|  | LibItsMapemSpatem__TypesAndValues::UtMapemSpatemResults & | p
| ) |  |

## ◆ fx__dec__UtSpatemEventInd()

INTEGER LibItsMapemSpatem__EncdecDeclarations::fx__dec__UtSpatemEventInd | ( | BITSTRING & | b,
|  | LibItsMapemSpatem__TypesAndValues::UtSpatemEventInd & | p
| ) |  |

## ◆ fx__enc__Mapem()

BITSTRING LibItsMapemSpatem__EncdecDeclarations::fx__enc__Mapem | ( | const MAPEM__PDU__Descriptions::MAPEM & | p_mapem | ) |

## ◆ fx__enc__MapemReq()

BITSTRING LibItsMapemSpatem__EncdecDeclarations::fx__enc__MapemReq | ( | const LibItsMapemSpatem__TestSystem::MapemReq & | p_sremReq | ) |

## ◆ fx__enc__Spatem()

BITSTRING LibItsMapemSpatem__EncdecDeclarations::fx__enc__Spatem | ( | const SPATEM__PDU__Descriptions::SPATEM & | p_spatem | ) |

## ◆ fx__enc__SpatemReq()

BITSTRING LibItsMapemSpatem__EncdecDeclarations::fx__enc__SpatemReq | ( | const LibItsMapemSpatem__TestSystem::SpatemReq & | p_spatemReq | ) |

## ◆ fx__enc__UtMapemSpatemInitialize()

BITSTRING LibItsMapemSpatem__EncdecDeclarations::fx__enc__UtMapemSpatemInitialize | ( | const LibItsMapemSpatem__TypesAndValues::UtMapemSpatemInitialize & | p_utMapemSpatemInitialize | ) |

## ◆ fx__enc__UtMapemSpatemResults()

BITSTRING LibItsMapemSpatem__EncdecDeclarations::fx__enc__UtMapemSpatemResults | ( | const LibItsMapemSpatem__TypesAndValues::UtMapemSpatemResults & | p_utMapemSpatemResults | ) |